# Generated from ohmygems-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ohmygems

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: I'm tired of the complications that tools like bundler and rvm inject into my system and my workflow
License: MIT
URL: https://github.com/seattlerb/ohmygems
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.3
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(hoe) >= 3.12
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
I'm tired of the complications that tools like bundler and rvm inject
into my system and my workflow. I don't want 4 billion gems installed
globally. I don't want to have `rake` slow down for no good reason. I
don't want rvm to regress on undefined variables over and over and
over (and I don't want to report it anymore when it does). I want as
much simplicity as I can afford and still be able to get my job done.
I've found pretty good balance using rbenv (only when needed) and by
using this 45 line shell function `ohmygems` (aliased to `omg`, of
course).
I still have my system-level gems as my previous GEM_HOME gets moved
into GEM_PATH so things like minitest and autotest are always
available. But now I have private gems that are incredibly easy to
switch around and only rely on simple environment variables to manage.
To go back to normal, simply run `omg reset`.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/Manifest.txt
%{gem_instdir}/ohmygems
%{gem_instdir}/ohmygems_auto
%{gem_instdir}/ohmygems_chruby
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.txt
%{gem_instdir}/Rakefile

%changelog
* Tue Apr 19 2022 mockbuilder - 1.2.0-1
- Initial package
